<?php

namespace TDevAgency\NovaPoshta\Providers;

use Illuminate\Support\ServiceProvider;
use TDevAgency\Cms\Traits\ServiceProviderHelper;
use TDevAgency\DeliveriesPayments\Facades\Delivery;
use TDevAgency\DeliveriesPayments\Facades\Payment;
use TDevAgency\NovaPoshta\Models\NovaPoshtaApi;

class NovaPoshtaServiceProvider extends ServiceProvider
{

    use ServiceProviderHelper;

    /**
     * @var string
     */
    private const ROOT_PATH = __DIR__ . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR;


    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        $this->mergeConfigFrom(
            self::ROOT_PATH . 'config' . DIRECTORY_SEPARATOR . 'config.php', 'deliveries_payments'
        );
        $this->app->singleton('TDevAgency\NovaPoshtaApi', function ($app) {
            return new NovaPoshtaApi();
        });
    }

}
